> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file rename rules

> Retrieve all file rename rules for the current user.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_files/rename_rules
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_files/rename_rules:
    get:
      tags:
        - EndUserFiles
      summary: Get file rename rules
      description: Retrieve all file rename rules for the current user.
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/GetFileRenameRulesSchema'
                type: array
          description: A list of file rename rules
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetFileRenameRulesSchema:
      properties:
        end_user_file_class:
          type: string
        file_name_template:
          type: string
        heron_id:
          type: string
        is_enabled:
          type: boolean
        variables:
          items:
            $ref: '#/components/schemas/VariableDefinition'
          type: array
      required:
        - end_user_file_class
        - file_name_template
        - is_enabled
      type: object
    VariableDefinition:
      properties:
        description:
          type: string
        examples:
          items:
            type: string
          type: array
        key:
          type: string
        name:
          type: string
      required:
        - description
        - examples
        - key
        - name
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````